import {} from '@wagmi/core';
import {} from '@wagmi/core/internal';
import {} from '@wagmi/core/query';
import {} from 'viem';
import { useAccount } from '../useAccount.js';
import { useChainId } from '../useChainId.js';
import { useReadContract, } from '../useReadContract.js';
export function createReadContract(config) {
    if (config.address !== undefined && typeof config.address === 'object')
        return (parameters) => {
            const configChainId = useChainId();
            const account = useAccount();
            const chainId = parameters?.chainId ??
                account.chainId ??
                configChainId;
            const address = config.address?.[chainId];
            return useReadContract({ ...parameters, ...config, address });
        };
    return (parameters) => {
        return useReadContract({ ...parameters, ...config });
    };
}
//# sourceMappingURL=createReadContract.js.map