import {} from '@wagmi/core';
import {} from '@wagmi/core/query';
import { useCallback } from 'react';
import {} from 'viem';
import {} from 'viem/actions';
import { useAccount } from '../useAccount.js';
import { useChainId } from '../useChainId.js';
import { useWriteContract, } from '../useWriteContract.js';
export function createWriteContract(config) {
    if (config.address !== undefined && typeof config.address === 'object')
        return ((parameters) => {
            const result = useWriteContract(parameters);
            const configChainId = useChainId();
            const account = useAccount();
            return {
                ...result,
                writeContract: useCallback((...args) => {
                    let chainId;
                    if (args[0].chainId)
                        chainId = args[0].chainId;
                    else if (args[0].account && args[0].account === account.address)
                        chainId = account.chainId;
                    else if (args[0].account === undefined)
                        chainId = account.chainId;
                    else
                        chainId = configChainId;
                    const address = chainId ? config.address?.[chainId] : undefined;
                    const variables = { ...args[0], ...config, address };
                    result.writeContract(variables, args[1]);
                }, [
                    account.address,
                    account.chainId,
                    config,
                    configChainId,
                    result.writeContract,
                ]),
                writeContractAsync: useCallback((...args) => {
                    let chainId;
                    if (args[0].chainId)
                        chainId = args[0].chainId;
                    else if (args[0].account && args[0].account === account.address)
                        chainId = account.chainId;
                    else if (args[0].account === undefined)
                        chainId = account.chainId;
                    else
                        chainId = configChainId;
                    const address = chainId ? config.address?.[chainId] : undefined;
                    const variables = { ...args[0], ...config, address };
                    return result.writeContractAsync(variables, args[1]);
                }, [
                    account.address,
                    account.chainId,
                    config,
                    configChainId,
                    result.writeContractAsync,
                ]),
            };
        });
    return ((parameters) => {
        const result = useWriteContract(parameters);
        return {
            ...result,
            writeContract: useCallback((...args) => {
                const address = config.address ?? args[0].address;
                const variables = { ...args[0], ...config, address };
                result.writeContract(variables, args[1]);
            }, [config, result.writeContract]),
            writeContractAsync: useCallback((...args) => {
                const address = config.address ?? args[0].address;
                const variables = { ...args[0], ...config, address };
                return result.writeContractAsync(variables, args[1]);
            }, [config, result.writeContractAsync]),
        };
    });
}
//# sourceMappingURL=createWriteContract.js.map