'use client';
import {} from '@wagmi/core';
import {} from '@wagmi/core/internal';
import { estimateFeesPerGasQueryOptions, } from '@wagmi/core/query';
import { useQuery } from '../utils/query.js';
import { useChainId } from './useChainId.js';
import { useConfig } from './useConfig.js';
/** https://beta.wagmi.sh/react/api/hooks/useEstimateFeesPerGas */
export function useEstimateFeesPerGas(parameters = {}) {
    const { query = {} } = parameters;
    const config = useConfig(parameters);
    const chainId = useChainId();
    const options = estimateFeesPerGasQueryOptions(config, {
        ...parameters,
        chainId: parameters.chainId ?? chainId,
    });
    return useQuery({ ...query, ...options });
}
//# sourceMappingURL=useEstimateFeesPerGas.js.map