'use client';
import { watchBlockNumber, } from '@wagmi/core';
import {} from '@wagmi/core/internal';
import { useEffect } from 'react';
import { useChainId } from './useChainId.js';
import { useConfig } from './useConfig.js';
/** https://beta.wagmi.sh/react/api/hooks/useWatchBlockNumber */
export function useWatchBlockNumber(parameters = {}) {
    const { enabled = true, onBlockNumber, config: _, ...rest } = parameters;
    const config = useConfig(parameters);
    const configChainId = useChainId();
    const chainId = parameters.chainId ?? configChainId;
    useEffect(() => {
        if (!enabled)
            return;
        if (!onBlockNumber)
            return;
        return watchBlockNumber(config, {
            ...rest,
            chainId,
            onBlockNumber,
        });
    }, [chainId, config, enabled, onBlockNumber, rest]);
}
//# sourceMappingURL=useWatchBlockNumber.js.map