'use client';
import { watchContractEvent, } from '@wagmi/core';
import {} from '@wagmi/core/internal';
import { useEffect } from 'react';
import { useChainId } from './useChainId.js';
import { useConfig } from './useConfig.js';
/** https://beta.wagmi.sh/react/api/hooks/useWatchContractEvent */
export function useWatchContractEvent(parameters = {}) {
    const { enabled = true, onLogs, config: _, ...rest } = parameters;
    const config = useConfig(parameters);
    const configChainId = useChainId();
    const chainId = parameters.chainId ?? configChainId;
    useEffect(() => {
        if (!enabled)
            return;
        if (!onLogs)
            return;
        return watchContractEvent(config, {
            ...rest,
            chainId,
            onLogs,
        });
    }, [chainId, config, enabled, rest, onLogs]);
}
//# sourceMappingURL=useWatchContractEvent.js.map