'use client';
import { watchPendingTransactions, } from '@wagmi/core';
import {} from '@wagmi/core/internal';
import { useEffect } from 'react';
import { useChainId } from './useChainId.js';
import { useConfig } from './useConfig.js';
/** https://beta.wagmi.sh/react/api/hooks/useWatchPendingTransactions */
export function useWatchPendingTransactions(parameters = {}) {
    const { enabled = true, onTransactions, config: _, ...rest } = parameters;
    const config = useConfig(parameters);
    const configChainId = useChainId();
    const chainId = parameters.chainId ?? configChainId;
    useEffect(() => {
        if (!enabled)
            return;
        if (!onTransactions)
            return;
        return watchPendingTransactions(config, {
            ...rest,
            chainId,
            onTransactions,
        });
    }, [chainId, config, enabled, onTransactions, rest]);
}
//# sourceMappingURL=useWatchPendingTransactions.js.map