import { type GetAccountReturnType } from '@wagmi/core';
import type { Evaluate } from '@wagmi/core/internal';
import type { ConfigParameter } from '../types/properties.js';
export type UseAccountEffectParameters = Evaluate<{
    onConnect?(data: Evaluate<Pick<Extract<GetAccountReturnType, {
        status: 'connected';
    }>, 'address' | 'addresses' | 'chain' | 'chainId' | 'connector'> & {
        isReconnected: boolean;
    }>): void;
    onDisconnect?(): void;
} & ConfigParameter>;
/** https://beta.wagmi.sh/react/api/hooks/useAccountEffect */
export declare function useAccountEffect(parameters?: UseAccountEffectParameters): void;
//# sourceMappingURL=useAccountEffect.d.ts.map